Subject: Re: Bridge & it's MAC address question

From: Stephen Hemminger <[email-masked]>
Date: Mon, 30 Oct 2006 07:28:37 -0800

On Mon, 30 Oct 2006 15:27:14 +0300
Dmitry Mishin <[email-masked]> wrote:

> Hi,
> 
> Could somebody explain, why bridge uses minimal MAC of the attached devices?
> It makes this address instable, variable during bridge life-cycle, which is 
> not good for DHCP. For example, I want to attach multiple virtual devices to 
> one physical. Then, I need to make sure that after each virtual device 
> addition, bridge addr is not changed and still addr of the physical device.  
> Why not to use MAC of the first attached device?
> 

The bridge physical address is the minimum of all the attached devices.
This is done because the STP standard requires it.  You can reset it
to be the same as any of the attached devices. This will not cause a problem
unless using STP.